
function mudfish_adclean_a61e798fb1193a501b45eb25117516b3() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`a[class^="banner_"]`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_a61e798fb1193a501b45eb25117516b3();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_a61e798fb1193a501b45eb25117516b3();
  });
}
